/*
 * geigerzaehler.main.c.c
 *
 * Created			:	28.02.2019 09:07:22
 * Author			:	John Ditgens, Alexander Brandscheidt
 * Git-Repository	:	https://gitea.Railduction.eu/JohnD/Geigerzaehler.git
 *
 * MController		:	AtMega328P
 * Board			:	Arduino Nano
 */ 
#define F_CPU 20000000UL 					// Clock speed: 20 MHz	- Maximum of AtMega328P

// Imports
#include <avr/io.h>
#include <avr/interrupt.h>

int main(void)
{
    DDRD &= ~(1<<2); 				// Eingang PD2
    DDRD &= ~(1<<3);				// Eingang PD3
    
	PORTD |= (1<<2);				// Enable Pull Up Resistor Pin D2
	PORTD |= (1<<3);				// Enable Pull Up Resistor Pin D3
	
    EICRA |= (1 << ISC01)|(1 << ISC00);
    EIMSK |= (1 << INT0);
    
    EICRA |= (1 << ISC11)|(1 << ISC10);
    EIMSK |= (1 <<INT1);
	
    sei();		// Activate global interrupts
	
	// Endless loop
    while (1) 
    {
    }
}

ISR(INT0_vect) 						//Aktiviert den Buzzer/LED und deaktiviert diese
{

}


ISR(INT1_vect)
{
	//???
}

